Bug 81497 - don't restart daemons
don't restart daemons
Product: Red Hat Linux
Classification: Retired
Component: logrotate (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Jay Turner
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-01-09 17:29 EST by Neil Prockter
Modified: 2015-01-07 19:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-13 14:24:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Neil Prockter 2003-01-09 17:29:29 EST
Description of problem: logrotate restarts systems daemons, whilst this maybe
fine for desktops for servers this can be disasterous

Version-Release number of selected component (if applicable):

How reproducible:
for worst result, change apache config, get it wrong, wait for logrotate to try
to restart apache and apply changes then fail at 4am. no service for 5 hours!
(hasn't happened to me yet thank goodness)

Steps to Reproduce:
Actual results:
restarts systems daemons

Preferred results:
leave daemons alone

Additional info:
Comment 1 Elliot Lee 2003-01-13 14:24:12 EST
Daemons have to be restarted in order for logging to continue to work - if apache does not 
get restarted, then there is no logging at all, because the information is being written to old, 
now-deleted logfiles.

To prevent the situation you describe, don't leave the system with an invalid or untested 

Note You need to log in before you can comment on or make changes to this bug.